Foxit PDF SDK

Static Public Member Functions | List of all members
FSDK.ComplianceEngine Class Reference

## Static Public Member Functions
static | EnableHandleTransparency (enable_handle_transparency) static SetLanguage(language)
| Set a flag to enable or disable transparency handle. More...
static | Initialize (compliance_resource_folder_path, compliance_engine_unlockcode)
| Initialize compliance engine. More...
static | Release ()
| Release compliance engine. More...
static | SetTempFolderPath (temp_folder_path)
| Set a temp folder for compliance engine. More...

## Detailed Description

Compliance module can be used to verify if a PDF file matches a specified industry standard version (e.g. one of PDF/A version) or convert a PDF file to a specified industry standard version (e.g. one of PDF/A version). Before initializing compliance engine and using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function FSDK.Library.Initialize with a key including "Compliance" module.

See also
  FSDK.Library

## Member Function Documentation

## ◆ EnableHandleTransparency()

static FSDK.ComplianceEngine.EnableHandleTransparency | ( | enable_handle_transparency |  | ) |
| static

Set a flag to enable or disable transparency handle.

Parameters

  [in] | enable_handle_transparency | Whether to enable to handle transparency or not. true means to enable transparency handle, it will detect and remove transparency from graphices objects during converting. false means to disable. Default value: false.

Returns
  None.

Set language for compliance engine.

Setting a language to compliance engine will have affect on all the strings which are returned with FSDK.ResultInformation or through callback class FSDK.ProgressCallback. If no language name is set by this function, "English" will be used as default.

Parameters

  [in] | language | Language name. This cannot be an empty string and should be one of following language name: "Czech", "Danish", "Dutch", "English", "French", "Finnish", "German", "Italian", "Norwegian", "Polish", "Portuguese", "Spanish", "Swedish", "Chinese-Simplified", "Chinese-Traditional", "Japanese", "Korean". For other language name, this function will do nothing.

Returns
  None.

## ◆ Initialize()

static FSDK.ComplianceEngine.Initialize | ( | compliance_resource_folder_path | ,
|  | compliance_engine_unlockcode |
| ) |  |
| static

Initialize compliance engine.

This should be called successfully before any other methods in compliance add-on module.

Parameters

  [in] | compliance_resource_folder_path | A complete path to compliance resource folder. This should not be an empty string.
  [in] | compliance_engine_unlockcode | The unlock code for compliance engine. If an authorization key is used for Foxit PDF SDK, please pass a valid unlock code string to initialize compliance engine. If a trial key is used for Foxit PDF SDK, this parameter will be ignored. Just pass an empty string.

Returns
  FSDK.e_ErrSuccess means success.
  FSDK.e_ErrNoComplianceModuleRight means Foxit PDF SDK has not been initialized with a key including "Compliance" module.
  FSDK.e_ErrParam means parameter compliance_resource_folder_pathis an empty string, or parameter compliance_engine_unlockcode is an empty string when an authorization key is used for Foxit PDF SDK.
  FSDK.e_ErrFilePathNotExist means parameter compliance_resource_folder_path does not exist or no library for compliance engine can be found under this folder.
  FSDK.e_ErrComplianceEngineInvalidUnlockCode means parameter compliance_engine_unlockcode is an invalid unlock code for compliance engine when an authorization key is used for Foxit PDF SDK.
  For more information about error code values, please refer to values starting from FSDK.e_ErrSuccess.

Note
  If module "Compliance" is not defined in the license information which is used in function FSDK.Library.Initialize, that means user has no right in using XFA related functions and this constructor will throw exception FSDK.e_ErrNoComplianceModuleRight.

## ◆ Release()

static FSDK.ComplianceEngine.Release | ( |  | ) |
| static

Release compliance engine.

This function can be called to release compliance engine when no need to use it any more before Foxit PDF SDK is released.

Returns
  None.

## ◆ SetTempFolderPath()

static FSDK.ComplianceEngine.SetTempFolderPath | ( | temp_folder_path |  | ) |
| static

Set a temp folder for compliance engine.

The compliance engine may generate temporary files during processing (e.g., for verification or conversion tasks). This function allows specifying a custom storage location. If not set, a default temporary folder will be created in the application's root directory and used for temporary files.

Parameters

  [in] | temp_folder_path | A complete path to be set as temp folder. This should be a valid path and should not be an empty string.

Returns
  None.